> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a job

> Delete the specified job.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-launcher.json delete /job-launcher/launcher/{id}
openapi: 3.0.3
info:
  title: Job Launcher Service API
  description: Launch and control Spark jobs.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of the API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Job Management
    description: >-
      APIs to list, retrieve, and manage Spark jobs, including job history and
      metadata
  - name: Job Launching
    description: APIs to launch Spark jobs with specified configurations and parameters
  - name: Job Logs
    description: APIs to retrieve log output and diagnostic information from launched jobs
  - name: Job Status and Progress
    description: >-
      APIs to check the current state, progress, and result of running or
      completed jobs
  - name: Job Configuration
    description: >-
      APIs to define, modify, or retrieve job configurations and runtime
      parameters
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-launcher/launcher/{id}:
    delete:
      tags:
        - Job Management
      summary: Delete a job
      description: Delete the specified job.
      operationId: cancelJob
      parameters:
        - name: id
          description: The name of the job.
          example: api-test-app_click_signals_aggregation
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK

````